Those of using the most recent version of Google Chrome likely experienced warnings that your connection is not secure (it was). This is due to Google dropping support for certain certificates created on or before 2016.

We have just updated our server certificates for the game and forums web sites, and Google Chrome version 66 should no longer report the issue.